<?
/*
=============================================
Движок:  SHCMS Engine
=============================================
Название файла: даление комментарий
=============================================
Official website: http://shcms.ru
=============================================
*/
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
if($_GET['id']){$id=$_GET['id'];}
$news = mysql_fetch_array(mysql_query("SELECT * FROM `uncos` WHERE `id`='$id'"));
$shcmsengine['title'] = 'Удалить комментарии к новости: '.$news['title'].''; 
include_once'../template/head.php';
$adminka->admin();
registrat();
$adminka ->admin();
if(!$user_id)
{
echo'Нельзя';
exit();
}

$tis = mysql_query("SELECT * FROM uncos_comment WHERE id=$id LIMIT 1");
if(!mysql_num_rows($tis))
{
echo '<div class="errors">Нельзя тебе сюда</div>';
include_once'../template/foot.php';
exit();
}


$d = mysql_result(mysql_query("SELECT COUNT(*) FROM `uncos_comment` WHERE `id_uncos`='$id'"),0);

echo '<div class="lower"><center><b style="color:red">Комментариев к новости '.$news['title'].':  ('.$d.')</b></center></div>';
echo '<div class="link_reg"><a href="?id='.$id.'&del=delete">Удалить комментарии</a></div>';

if($_GET['del'] == 'delete')
{
$ok_del = mysql_query("DELETE FROM `uncos_comment` WHERE id_uncos=$id");
if($ok_del == true){echo '<div class="actshcms">Комментарии к новости '.$news['title'].' удалены успешно.</div>';}
else{echo '<div class="errors">Комментарии не удалены</div>';}


}

include_once'../template/foot.php';
?>